# Uses of Class
org.apache.lucene.util.hnsw.BlockingFloatHeap

Packages that use BlockingFloatHeap
Package
Description
org.apache.lucene.search.knn
Classes related to vector search: knn and vector fields.

## Uses of BlockingFloatHeap in org.apache.lucene.search.knn

Constructors in org.apache.lucene.search.knn with parameters of type BlockingFloatHeap
Modifier
Constructor
Description
``
`MultiLeafKnnCollector(int k, BlockingFloatHeap globalSimilarityQueue, AbstractKnnCollector subCollector)`
Create a new MultiLeafKnnCollector.